ChangeSet 1.1006.11.8, 2003/03/14 11:29:37-08:00, green@linuxhacker.ru

[PATCH] USB: more Edgeport USB Serial Converter driver stuff


 drivers/usb/serial/io_ti.c |    4 ++++
 1 files changed, 4 insertions(+)


diff -Nru a/drivers/usb/serial/io_ti.c b/drivers/usb/serial/io_ti.c
--- a/drivers/usb/serial/io_ti.c	Thu Mar 27 16:02:23 2003
+++ b/drivers/usb/serial/io_ti.c	Thu Mar 27 16:02:23 2003
@@ -1141,8 +1141,12 @@
 				dbg ( "%s - HARDWARE RESET return %d", __FUNCTION__, status);
 
 				/* return an error on purpose. */
+				kfree (firmware_version);
+				kfree (rom_desc);
+				kfree (ti_manuf_desc);
 				return -ENODEV;
 			}
+			kfree (firmware_version);
 		}
 		// Search for type 0xF2 record (firmware blank record)
 		else if ((start_address = TIGetDescriptorAddress (serial, I2C_DESC_TYPE_FIRMWARE_BLANK, rom_desc)) != 0) {
